python-ylog (0.50) precise; urgency=low

  * COMMONPY-265  Поддержка deploy

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Wed, 15 Jun 2020 12:50:31 +0300


python-ylog (0.47) precise; urgency=low

  [ Maxim Novikov ]
  * Fix import for py3

  [ Kirill Sibirev ]

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Tue, 18 Apr 2017 13:21:31 +0300

python-ylog (0.46) unstable; urgency=low

  * Убрал лишний %s из ContextFormatter

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Tue, 07 Mar 2017 17:41:38 +0300

python-ylog (0.45) unstable; urgency=low

  * Публичные put/pop для манипулирования контекстом.

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Wed, 01 Mar 2017 17:11:50 +0300

python-ylog (0.44) unstable; urgency=low

  * QloudJsonFormatter

 -- Oleg Gulyaev <o-gulyaev@yandex-team.ru>  Tue, 28 Feb 2017 18:36:44 +0300

python-ylog (0.43) unstable; urgency=low

  [ Anton Chaporgin ]
  * Контекст логгирования
  * можно переопределять контекст
  * позволяем вкладывать контексты
  * исправления по работе с типами

 -- Alexey Mikerin <elisei@yandex-team.ru>  Fri, 13 Jan 2017 15:57:21 +0300

python-ylog (0.42) unstable; urgency=low

  [ Ruslan Alimbaev ]
  * Поддержка Python 3

 -- Ruslan Alimbaev <justlive@yandex-team.ru>  Thu, 24 Oct 2016 12:23:45 +0300

python-ylog (0.41) unstable; urgency=low

  [ Sergey Kryzhanovsky ]
  * STAFF-6777: добавлен ylog-зависимый LogstashHandler

 -- Sergey Kryzhanovsky <another@yandex-team.ru>  Thu, 28 Jun 2016 14:50:45 +0300

python-ylog (0.40) unstable; urgency=low

  [ Dmitry Prokofyev ]
  * TOOLS-1911: Поправил проблему наследования

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Thu, 26 May 2016 14:48:45 +0300

python-ylog (0.39) unstable; urgency=low

  [ Dmitry Prokofyev ]
  * TOOLS-1911: Доработать ylog, что бы SyslogHandler мог работать с ipv6

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Wed, 25 May 2016 19:49:13 +0300

python-ylog (0.38) unstable; urgency=low

  [ Anton Chaporgin ]
  * Create README.md

  [ Alex Koshelev ]
  * Обновил описание пакета

  [ Kirill Sibirev ]
  * Дополнил README.md

  [ Alex Koshelev ]
  * Убил пакеты ylog-server и ylog-pythonbp
  * Не запускаем тесты при сборке
  *  Портирование дебианизации под сборку для trusty

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Sun, 07 Sep 2014 23:57:57 +0400

python-ylog (0.37) unstable; urgency=low

  * Использование дефолтной s_src

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 12 Aug 2013 14:19:47 +0400

python-ylog (0.36) unstable; urgency=low

  * Обновил версию в setup.py
  * Использование источника system вместо unix-stream. Иначе конфликтует
    с дефолтной настройкой.

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 12 Aug 2013 14:02:35 +0400

python-ylog (0.35) unstable; urgency=low

  * для rsyslog конфига убрал copytruncate и добавил delaycompres. очень
    нужно для statbox пушера

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 06 Aug 2013 15:19:04 +0400

python-ylog (0.34) unstable; urgency=low

  * Отключаем нативный эскейпинг в конфиге rsyslog

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 31 Jul 2013 16:38:50 +0400

python-ylog (0.33) unstable; urgency=low

  * Не падать при логировании POST-запроса без Content-Type

 -- Polina Meleca <melc@yandex-team.ru>  Wed, 17 Jul 2013 14:10:58 +0400

python-ylog (0.32) unstable; urgency=low

  * Пересборка

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 27 May 2013 17:25:03 +0400

python-ylog (0.31) unstable; urgency=low

  [ Chaporgin Anton ]
  * Добавил загрузку модуля imudp из наших конфигов

  [ Alex Koshelev ]
  * Подвинул подключение udp модуля в правильное место
  * pycompat в репозитории
  * Переименовал конфиг для rsyslog

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 27 May 2013 17:19:40 +0400

python-ylog (0.30) unstable; urgency=low

  * Фикс конфига rsyslog. Логи пишутся от дефолтного пользователя
    (syslog) в /var/log/ylog
  * Конфиг logrotate для rsyslog

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 20 May 2013 20:08:06 +0400

python-ylog (0.29) unstable; urgency=low

  * Сборка dh7
  * Конфиг для rsyslog

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 30 Apr 2013 10:14:16 +0400

python-ylog (0.28) unstable; urgency=low

  * Конфиг syslog-ng для версии >= 3.3. Не требует syslog-ng-include
  * Конфиг logrotate кладется дебхелпером

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 18 Mar 2013 19:30:22 +0400

python-ylog (0.27) unstable; urgency=low

  * Вернула зависимости depends, убрала pre-depends

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Tue, 09 Oct 2012 21:36:01 +0400

python-ylog (0.26) unstable; urgency=low

  * depends заменены на pre-depends в новых пакетах

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Tue, 09 Oct 2012 20:45:03 +0400

python-ylog (0.25) unstable; urgency=low

  * разнесла конфиги syslog-ng и питонячью либу по 2м пакетам
  * python-ylog - метапакет над 2мя python-ylog-lib и ylog-syslog-ng-conf
  * строгая зависимость по версиям

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Tue, 09 Oct 2012 14:45:52 +0400

python-ylog (0.24) unstable; urgency=low

  * Added OSFileHandler

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Tue, 09 Oct 2012 14:19:09 +0400

python-ylog (0.23) unstable; urgency=low

  * Добавила опцию address в SysLogExceptionHandler

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Thu, 27 Sep 2012 13:12:47 +0400

python-ylog (0.22) unstable; urgency=low

  * Fixed "Too long message" error

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 13 Sep 2012 17:55:29 +0400

python-ylog (0.21) unstable; urgency=low

  * добавлен новый параметр escaping для SysLogHandler

 -- Morozova Anastasia (developer) <scullyx13@yandex-team.ru>  Wed, 15 Aug 2012 20:22:12 +0400

python-ylog (0.20) unstable; urgency=low

  * Теперь текст исключения пишется только один раз в exception.log

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Tue, 07 Aug 2012 15:37:34 +0400

python-ylog (0.19) unstable; urgency=low

  [ Leonid Shvechikov ]
  * Актуализировал Homepage и добавил XS-Vcs-Git

  [ Andrew Grigorev ]
  * do not call formatException if not self.full
  * Fixed error entroduced by e8b28a2

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Mon, 06 Aug 2012 19:03:26 +0400

python-ylog (0.18) unstable; urgency=low

  * bugfix: fmt передавался и в args и в kwargs
  * bugfix: usesTime появилась только в python 2.6

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Tue, 22 May 2012 05:48:35 +0400

python-ylog (0.17) unstable; urgency=low

  * переписал вывод show_locals (убрал лишние параметры и спагетти-код,
    трейсбек выводился неправильно)
  * поправил тот ужос, который был в ExceptionFormatter.format
  * починил тесты python-ylog (1.4 требует SECRET_KEY  в settings.py)

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Tue, 22 May 2012 05:03:56 +0400

python-ylog (0.16) unstable; urgency=low

  * пишем время из python а не из syslog-ng

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Fri, 04 May 2012 15:08:09 +0400

python-ylog (0.15) unstable; urgency=low

  * удален ylog_escape (его заменили на ylog-decode)

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 03 May 2012 17:17:47 +0400

python-ylog (0.14) unstable; urgency=low

  * COMMONPY-132 Показывать вместе с трейсбэком состояние локальных переменных.

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 03 May 2012 16:57:34 +0400

python-ylog (0.13) unstable; urgency=low

  * Поменял владельца файлов и директории с логами на www-data

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 26 Jan 2012 16:27:08 +0000

python-ylog (0.12) unstable; urgency=low

  * Исправлено поведение format_post при обработке фейковых реквестов,
    формируемых django.test.client.
  * Добавлены юнит-тесты. Запускаются через nosetests принудительно, при
    сборке пакета.

 -- Alexander Artemenko <art@yandex-team.ru>  Tue, 25 Oct 2011 14:32:15 +0400

python-ylog (0.11) unstable; urgency=low

  * исправлена бага с обработкой unicode в ExceptionFormatter
  * ylog_escape переименован в ylog-decode
  * в ylog-decode добавлен вывод перевода строки после каждой записи в логе

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Fri, 21 Oct 2011 17:08:39 +0000

python-ylog (0.10) unstable; urgency=low

  * ExceptionFormatter теперь сохраняет текст, с которым было брошено
    исключение, и корректно обрабатывает записи, которые логирует Celery
    (оно там в exc_info передает само исключение, а не tuple, возвращаемый
    sys.exc_info(), из за чего logging вызывает sys.exc_info() сам, и получает
    (None, None, None)).

 -- Alexander Artemenko <art@yandex-team.ru>  Fri, 21 Oct 2011 16:09:05 +0400

python-ylog (0.9-1) unstable; urgency=low

  * Нормальный выход из ylog_escape по Ctrl+C.

 -- Alexander Artemenko <art@yandex-team.ru>  Fri, 21 Oct 2011 12:12:33 +0400

python-ylog (0.9) unstable; urgency=low

  * Теперь ylog_escape нормально работает совместно с tail -f, потому что
    больше не буферизирует строки.

 -- Alexander Artemenko <art@yandex-team.ru>  Thu, 20 Oct 2011 19:11:03 +0400

python-ylog (0.8-3) unstable; urgency=low

  * ааааааааааааааааааааааааааааааааа

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 20 Oct 2011 16:16:57 +0400

python-ylog (0.8-2) unstable; urgency=low

  * криво прописал удаление... исправил %(

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 20 Oct 2011 16:01:05 +0400

python-ylog (0.8-1) unstable; urgency=low

  * добавлено удаление 30_ylog-net.conf в postinst

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 20 Oct 2011 15:43:04 +0400

python-ylog (0.8) unstable; urgency=low

  * исправлена проблема в SysLog с указанием времени в каждой записи по два
    раза

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Wed, 05 Oct 2011 16:42:06 +0400

python-ylog (0.7-2) unstable; urgency=low

  * добавлен потеряный dh_environment для ylog-pythonbp
  * конфиги syslog-ng-include перенесены в одноименную директорию

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Wed, 05 Oct 2011 00:53:19 +0400

python-ylog (0.7-1) unstable; urgency=low

  * исправлены адреса development и testing серверов сбора логов

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Tue, 04 Oct 2011 00:46:44 +0400

python-ylog (0.7) unstable; urgency=low

  * используем dh_environment при раскладке сим.линков для отправки логов на
    сервер централизованного сбора
  * скрипт ylog_escape вынесен в отдельный пакет
  * в ylog-server добавлен конфиг для logrotate

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 08 Sep 2011 19:00:01 +0400

python-ylog (0.6-4) unstable; urgency=low

  * перевели файл конфигурации syslog для отправки логов на сервер в отдельный
    пакет, чтобы можно было использовать syslog не только на pythonbp

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Mon, 05 Sep 2011 17:52:10 +0400

python-ylog (0.6-3) unstable; urgency=low

  * правильно обращаемся к данным POST-запроса

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Fri, 19 Aug 2011 14:44:30 +0400

python-ylog (0.6-2) unstable; urgency=low

  * решена проблема с доступом к данным POST-запроса

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 18 Aug 2011 20:17:55 +0400

python-ylog (0.6-1) unstable; urgency=low

  * потеряли python-часть из за сборки второго пакета

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 18 Aug 2011 14:56:49 +0400

python-ylog (0.6) unstable; urgency=low

  * используем централизованное хранилище логов в production

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Mon, 15 Aug 2011 19:02:14 +0400

python-ylog (0.5) unstable; urgency=low

  * переписаны SysLogExceptionHandler и SysLogHandler
  * удален SysLogFormatter, функционал перенесен в SysLogHandler где и должен
    был быть изначально
  * добавлен скрипт ylog_escape

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 11 Aug 2011 17:18:28 +0400

python-ylog (0.4) unstable; urgency=low

  * добавлены SysLogExceptionHandler и SysLogFormatter
  * добавлен файл ylog.conf для syslog-ng-include

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Tue, 09 Aug 2011 19:54:21 +0400

python-ylog (0.3) unstable; urgency=low

  * Увеличение версии, чтобы не плодились лишние "разряды".

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Tue, 12 Jul 2011 08:35:10 +0400

python-ylog (0.2.1) unstable; urgency=low

  * Фикс опечатки в декларации smart_str

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 01 Jun 2011 14:20:22 +0400

python-ylog (0.2) unstable; urgency=low

  * Отвязывание от джанговской smart_str
  * Публикация хелперных функций из context.py

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 31 May 2011 14:45:20 +0400

python-ylog (0.1) unstable; urgency=low

  * Initial release. Extracted useful bits and pieces from yutil.logs and
    django_errorlog. Added some overly smart helpers.

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 22 Apr 2011 03:49:03 +0400
